com.taosdata.jdbc.common

## Class TableInfo

- java.lang.Object
- - com.taosdata.jdbc.common.TableInfo

    public class TableInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TableInfo(List<ColumnInfo> dataList, String tableName, List<ColumnInfo> tagInfo)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<ColumnInfo>` `getDataList()`
`static TableInfo` `getEmptyTableInfo()`
`String` `getTableName()`
`List<ColumnInfo>` `getTagInfo()`
`void` `setDataList(List<ColumnInfo> dataList)`
`void` `setTableName(String tableName)`
`void` `setTagInfo(List<ColumnInfo> tagInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableInfo

    public TableInfo(List<ColumnInfo> dataList,
                     String tableName,
                     List<ColumnInfo> tagInfo)

### Method Detail

#### getEmptyTableInfo

    public static TableInfo getEmptyTableInfo()

#### getDataList

    public List<ColumnInfo> getDataList()

#### getTableName

    public String getTableName()

#### getTagInfo

    public List<ColumnInfo> getTagInfo()

#### setDataList

    public void setDataList(List<ColumnInfo> dataList)

#### setTableName

    public void setTableName(String tableName)

#### setTagInfo

    public void setTagInfo(List<ColumnInfo> tagInfo)